#include "ginyintercanvi.h"
#include "ui_ginyintercanvi.h"
#include <QDebug>

GinyIntercanvi::GinyIntercanvi(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::GinyIntercanvi)
{
    ui->setupUi(this);
    /*GinyAmics * */gaEsq = new GinyAmics; // Ara a l'arxiu .h
    /*GinyAmics * */gaDre = new GinyAmics;

    ui->distDre->addWidget(gaDre);
    ui->distEsq->addWidget(gaEsq);

    connect(gaEsq,SIGNAL(senyalTextCanviat(QString)),
            this,SLOT(slotQuanCanviaText(QString)));
    connect(gaDre,SIGNAL(senyalTextCanviat(QString)),
            this,SLOT(slotQuanCanviaText(QString)));
//    connect(gaEsq,SIGNAL(senyalTextCanviat(QString)),
//            gaDre,SLOT(slotEmplenaLineEditCognom(QString)));
//    connect(gaDre,SIGNAL(senyalTextCanviat(QString)),
//            gaEsq,SLOT(slotEmplenaLineEditCognom(QString)));
    connect(ui->btSwap,SIGNAL(clicked()),this,SLOT(slotIntercanviCognoms()));
}

GinyIntercanvi::~GinyIntercanvi()
{
    delete ui;
}

void GinyIntercanvi::slotQuanCanviaText(QString qsz){
    qDebug() << qsz;
}

void GinyIntercanvi::slotIntercanviCognoms(){
    QString qszE = gaDre->qszCognom();

    gaDre->slotEmplenaLineEditCognom(gaEsq->qszCognom());
    gaEsq->slotEmplenaLineEditCognom(qszE);
}
